# QSqlRelation Class Reference

### [com.trolltech.qt.sql package]

### Constructor

- void QSqlRelation()
- void QSqlRelation(String aTableName, String indexCol, String displayCol)

### Constructor Properties

- prototype: The QSqlRelation prototype object

### Prototype Object Properties

- String displayColumn()
- String indexColumn()
- bool isValid()
- String tableName()

### Instance Properties

QSqlRelation objects have no special properties beyond those inherited from the QSqlRelation prototype object.